<template>
  <v-row no-gutters>
    <v-col>
      <v-img
        :src="images.login"
        gradient="to top left, rgba(0,0,0,.33), rgba(57, 57, 57, 0.9)"
        height="100vh"
      >
        <v-container fill-height>
          <v-row justify="end">
            <v-col cols="12">
              <v-row no-gutters justify="end">
                <login-card v-if="loginSelected" @change="changeSelected" />
                <forgot-password-card v-else @change="changeSelected" />
              </v-row>
            </v-col>
          </v-row>
        </v-container>
      </v-img>
    </v-col>
  </v-row>
</template>
<script>
import images from '~/assets/js/images';
import LoginCard from '~/components/Cards/LoginCard';
import ForgotPasswordCard from '~/components/Cards/ForgotPasswordCard';

export default {
  components: {
    LoginCard,
    ForgotPasswordCard,
  },
  layout: 'simple',
  middleware: 'noauth',
  data() {
    return {
      images,
      loginSelected: true,
    };
  },
  methods: {
    changeSelected() {
      this.loginSelected = !this.loginSelected;
    },
  },
};
</script>
<style scoped lang="scss">
</style>
